=== debian/control ===
Source: ros-humble-raspimouse-ros2-examples
Section: misc
Priority: optional
Maintainer: RT Corporation <shop@rt-net.jp>
Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-cv-bridge, ros-humble-geometry-msgs, ros-humble-hls-lfcd-lds-driver, ros-humble-joy-linux, ros-humble-nav2-map-server, ros-humble-raspimouse, ros-humble-raspimouse-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rclcpp-lifecycle, ros-humble-rt-usb-9axisimu-driver, ros-humble-sensor-msgs, ros-humble-slam-toolbox, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-usb-cam, v4l-utils, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-raspimouse-ros2-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, ros-humble-cv-bridge, ros-humble-geometry-msgs, ros-humble-hls-lfcd-lds-driver, ros-humble-joy-linux, ros-humble-nav2-map-server, ros-humble-raspimouse, ros-humble-raspimouse-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rclcpp-lifecycle, ros-humble-rt-usb-9axisimu-driver, ros-humble-sensor-msgs, ros-humble-slam-toolbox, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-usb-cam, v4l-utils, ros-humble-ros-workspace
Description: Raspberry Pi Mouse examples
