## ros-humble-raspimouse-ros2-examples 2.2.1

=== debian/changelog ===
ros-humble-raspimouse-ros2-examples (2.2.1-2bookworm) bookworm; urgency=high

  * サービスクライアントでexecutorを使用しない (#59 <https://github.com/rt-net/raspimouse_ros2_examples/issues/59>)
  * SubscriberとService Clientに別々のcallback_groupを設定 (#58 <https://github.com/rt-net/raspimouse_ros2_examples/issues/58>)
  * Contributors: ShotaAk, YusukeKato

 -- RT Corporation <shop@rt-net.jp>  Tue, 27 Aug 2024 16:00:00 -0000
